%define anolis_release 2
%global pypi_name importlib-metadata
%bcond_without check

Name:           python-%{pypi_name}
Version:        6.6.0
Release:        %{anolis_release}%{?dist}
Summary:        Library to access the metadata for a Python package
License:        ASL 2.0
URL:            https://importlib-metadata.readthedocs.io/
Source0:        %{pypi_source importlib_metadata}
BuildArch:      noarch

BuildRequires:  python3-devel pyproject-rpm-macros
%if %{with check}
BuildRequires:  python3-test python3dist(pytest) python3dist(pyfakefs)
%endif

%description
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.

%package -n     python3-%{pypi_name}-doc
Summary:        Documentation files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
The doc package contains documentation files for %{name}.

%prep
%autosetup -n importlib_metadata-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files importlib_metadata

%if %{with check}
%check
%pytest --ignore exercises.py -k "not test_find_local"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Mon Mar 25 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 6.6.0-2
- Rebuild with python3.11

* Fri May 05 2023 happy_orange <songnannan@linux.alibaba.com> - 6.6.0-1
- package init from upstream
